POST api/digitalsignature/signable/bounced/{fingerprint}

creates an event when a envelope is bounced by signable Processes this digital signature API request. The parameter and response sections describe the data exchanged with the API.

Request Information

URI Parameters

NameDescriptionTypeAdditional information
fingerprint

The fingerprint value supplied with the request.

string

Required

Body Parameters

The signable bounced rezi meta data data contract supplied with the request.

SignableBouncedReziMetaDataDataContract
NameDescriptionTypeAdditional information
envelope_bounce_email

The envelope bounce email value.

string

None.

envelope_bounce_reason

The envelope bounce reason value.

string

None.

documentSubTypeSystemName

The document sub type system name value.

string

None.

subject

The subject value.

string

None.

agencyId

The unique identifier of the related agency resource.

integer

None.

branchId

The unique identifier of the related branch resource.

integer

None.

brandId

The unique identifier of the related brand resource.

integer

None.

negotiatorId

The unique identifier of the related negotiator resource.

integer

None.

ownsRoleId

The unique identifier of the related owns role resource.

integer

None.

groupRoleIds

The unique identifiers of the related group role resources.

Collection of integer

None.

propertyRoleIds

The unique identifiers of the related property role resources.

Collection of integer

None.

documentLevelMetaData

The collection of document level meta data.

Dictionary of string [key] and PostDocGenerationHandlerDataContract [value]

None.

Request Formats

application/x-www-form-urlencoded

Sample:

Sample not available.

application/json, text/json

Sample:
{
  "envelope_bounce_email": "sample string 1",
  "envelope_bounce_reason": "sample string 2",
  "documentSubTypeSystemName": "sample string 3",
  "subject": "sample string 4",
  "agencyId": 5,
  "branchId": 6,
  "brandId": 7,
  "negotiatorId": 8,
  "ownsRoleId": 9,
  "groupRoleIds": [
    1,
    2
  ],
  "propertyRoleIds": [
    1,
    2
  ],
  "documentLevelMetaData": {
    "sample string 1": {
      "EntityType": {
        "Id": 1,
        "Name": "sample string 2",
        "SystemName": "sample string 3"
      },
      "EntityId": 1,
      "JobHandlerType": {
        "Id": 1,
        "Name": "sample string 2",
        "SystemName": "sample string 3"
      },
      "Options": {
        "sample string 1": "sample string 2",
        "sample string 3": "sample string 4"
      },
      "DocumentSubType": {
        "Id": 1,
        "Name": "sample string 2",
        "SystemName": "sample string 3"
      },
      "AccountingSystemId": 2,
      "AgencyId": 3,
      "JobHandlerName": "sample string 4"
    },
    "sample string 2": {
      "EntityType": {
        "Id": 1,
        "Name": "sample string 2",
        "SystemName": "sample string 3"
      },
      "EntityId": 1,
      "JobHandlerType": {
        "Id": 1,
        "Name": "sample string 2",
        "SystemName": "sample string 3"
      },
      "Options": {
        "sample string 1": "sample string 2",
        "sample string 3": "sample string 4"
      },
      "DocumentSubType": {
        "Id": 1,
        "Name": "sample string 2",
        "SystemName": "sample string 3"
      },
      "AccountingSystemId": 2,
      "AgencyId": 3,
      "JobHandlerName": "sample string 4"
    }
  }
}

Response Information

Resource Description

The response returned after the operation completes.

HttpResponseMessage
NameDescriptionTypeAdditional information
Version

The version value.

Version

None.

Content

The content value.

HttpContent

None.

StatusCode

The status code classification.

HttpStatusCode

None.

ReasonPhrase

The reason phrase value.

string

None.

Headers

The collection of headers.

Collection of Object

None.

RequestMessage

The request message value.

HttpRequestMessage

None.

IsSuccessStatusCode

Indicates whether this item is success status code.

boolean

None.